## 1 Timing Assertions Section
# 1.1 Primary clocks
create_clock -period 20.000 -name UC_REB_IN [get_ports UC_REB_IN]
create_clock -period 20.000 -name UC_WEB_IN [get_ports UC_WEB_IN]
create_clock -period 8.000 -name LAN1_RXC [get_ports LAN1_RXC]
create_clock -period 8.000 -name LAN2_RXC [get_ports LAN2_RXC]
create_clock -period 52.083 -name CLKREF_TCXO [get_ports CLKREF_TCXO]
create_clock -period 100.000 -name CLKREF_EXT [get_ports CLKREF_EXT]
create_clock -period 6.250 -name CLK_ADCg -waveform {0.000 3.125} [get_nets OPTION_A_001.CLKGEN7A/clkout0]
#create_clock -period 7.142 -name ADC_DCO_IN_LVDS[1] [get_ports {ADC_DCO_IN_LVDS[1]}]
create_clock -period 8.333 -name CLK_P -waveform {0.000 4.167} [get_nets OPTION_A_001.CLKGEN7B/clkout0]
create_clock -period 100.000 -name CLK10g -waveform {0.000 50.000} [get_nets REF_CLK_GEN_002.CLKGEN7C/clkout0]
create_clock -period 6.250 -name CLK_TXg -waveform {0.000 3.125} [get_pins CLK_TX_GEN_002/MMCME2_ADV_777/CLKOUT0]

set_property CLOCK_DEDICATED_ROUTE FALSE [get_nets LAN1_RXC]
set_property CLOCK_DEDICATED_ROUTE FALSE [get_nets LAN2_RXC]
set_property CLOCK_DEDICATED_ROUTE FALSE [get_nets UC_WEB_IN]
set_property CLOCK_DEDICATED_ROUTE FALSE [get_nets UC_REB_IN]
set_property CLOCK_DEDICATED_ROUTE FALSE [get_nets CLKREF_TCXO]
# TODO (if needed) Add 10% timing margin for operation over extended temperature

# 1.2 generated clocks (from CLK_P as source)
create_generated_clock -name DNA_ID_001/n_0_CLK_DIV2_reg -source [get_pins OPTION_A_001.CLKGEN7B/mmcm_adv_inst/CLKOUT0] -divide_by 2 [get_pins DNA_ID_001/CLK_DIV2_reg/Q]

# 1.3 Forwarded clocks
create_generated_clock -name ADC_CLK_OUT_LVDS[1] -source [get_pins ADC_CLKOUT_GEN_001P/C] -divide_by 1 [get_ports {ADC_CLK_OUT_LVDS[1]}]
create_generated_clock -name CLKREF_OUT -source [get_pins CLK10_OUT_GEN_001/C] -divide_by 1 [get_ports CLKREF_OUT]
create_generated_clock -name CLK_LNB -source [get_pins CLK10_OUT_GEN_002/C] -divide_by 1 [get_ports CLK_LNB]
create_generated_clock -name CLK_TX_OUT -source [get_pins CLK10_OUT_GEN_003/C] -divide_by 1 [get_ports CLK_TX_OUT]
create_generated_clock -name DAC_CLKOUT_N -source [get_pins DAC_CLKOUT_GEN_002/C] -divide_by 1 [get_ports DAC_CLKOUT_N]
create_generated_clock -name DAC_CLKOUT_P -source [get_pins DAC_CLKOUT_GEN_001/C] -divide_by 1 -invert [get_ports DAC_CLKOUT_P]
create_generated_clock -name LAN1_TXC -source [get_pins ETHERNET_001.LAN_001/IF_SEL_001.Inst_RGMII_WRAPPER/ODDR2_TX_003_7.ODDR_inst/C] -divide_by 1 [get_ports LAN1_TXC]
create_generated_clock -name LAN2_TXC -source [get_pins ETHERNET_001.LAN_002/IF_SEL_001.Inst_RGMII_WRAPPER/ODDR2_TX_003_7.ODDR_inst/C] -divide_by 1 [get_ports LAN2_TXC]

# 1.4 Input and output delay constraints
# place a constraint on the LAN rx signals timing.
set_input_delay -clock [get_clocks LAN1_RXC] -clock_fall -min -add_delay 2.800 [get_ports {LAN1_RXD[*]}]
set_input_delay -clock [get_clocks LAN1_RXC] -clock_fall -max -add_delay 3.800 [get_ports {LAN1_RXD[*]}]
set_input_delay -clock [get_clocks LAN1_RXC] -min -add_delay 2.800 [get_ports {LAN1_RXD[*]}]
set_input_delay -clock [get_clocks LAN1_RXC] -max -add_delay 3.800 [get_ports {LAN1_RXD[*]}]
set_input_delay -clock [get_clocks LAN1_RXC] -clock_fall -min -add_delay 2.800 [get_ports LAN1_RX_CTL]
set_input_delay -clock [get_clocks LAN1_RXC] -clock_fall -max -add_delay 3.800 [get_ports LAN1_RX_CTL]
set_input_delay -clock [get_clocks LAN1_RXC] -min -add_delay 2.800 [get_ports LAN1_RX_CTL]
set_input_delay -clock [get_clocks LAN1_RXC] -max -add_delay 3.800 [get_ports LAN1_RX_CTL]
set_input_delay -clock [get_clocks LAN2_RXC] -clock_fall -min -add_delay 2.800 [get_ports {LAN2_RXD[*]}]
set_input_delay -clock [get_clocks LAN2_RXC] -clock_fall -max -add_delay 3.800 [get_ports {LAN2_RXD[*]}]
set_input_delay -clock [get_clocks LAN2_RXC] -min -add_delay 2.800 [get_ports {LAN2_RXD[*]}]
set_input_delay -clock [get_clocks LAN2_RXC] -max -add_delay 3.800 [get_ports {LAN2_RXD[*]}]
set_input_delay -clock [get_clocks LAN2_RXC] -clock_fall -min -add_delay 2.800 [get_ports LAN2_RX_CTL]
set_input_delay -clock [get_clocks LAN2_RXC] -clock_fall -max -add_delay 3.800 [get_ports LAN2_RX_CTL]
set_input_delay -clock [get_clocks LAN2_RXC] -min -add_delay 2.800 [get_ports LAN2_RX_CTL]
set_input_delay -clock [get_clocks LAN2_RXC] -max -add_delay 3.800 [get_ports LAN2_RX_CTL]
# place a constraint on the LAN tx signals timing
set_output_delay -clock [get_clocks LAN1_TXC] -clock_fall -min -add_delay 0.500 [get_ports {LAN1_TXD[*]}]
set_output_delay -clock [get_clocks LAN1_TXC] -clock_fall -max -add_delay 3.500 [get_ports {LAN1_TXD[*]}]
set_output_delay -clock [get_clocks LAN1_TXC] -min -add_delay 0.500 [get_ports {LAN1_TXD[*]}]
set_output_delay -clock [get_clocks LAN1_TXC] -max -add_delay 3.500 [get_ports {LAN1_TXD[*]}]
set_output_delay -clock [get_clocks LAN2_TXC] -clock_fall -min -add_delay 0.500 [get_ports {LAN2_TXD[*]}]
set_output_delay -clock [get_clocks LAN2_TXC] -clock_fall -max -add_delay 3.500 [get_ports {LAN2_TXD[*]}]
set_output_delay -clock [get_clocks LAN2_TXC] -min -add_delay 0.500 [get_ports {LAN2_TXD[*]}]
set_output_delay -clock [get_clocks LAN2_TXC] -max -add_delay 3.500 [get_ports {LAN2_TXD[*]}]
set_output_delay -clock [get_clocks LAN1_TXC] -clock_fall -min -add_delay 0.500 [get_ports LAN1_TX_CTL]
set_output_delay -clock [get_clocks LAN1_TXC] -clock_fall -max -add_delay 3.500 [get_ports LAN1_TX_CTL]
set_output_delay -clock [get_clocks LAN1_TXC] -min -add_delay 0.500 [get_ports LAN1_TX_CTL]
set_output_delay -clock [get_clocks LAN1_TXC] -max -add_delay 3.500 [get_ports LAN1_TX_CTL]
set_output_delay -clock [get_clocks LAN2_TXC] -clock_fall -min -add_delay 0.500 [get_ports LAN2_TX_CTL]
set_output_delay -clock [get_clocks LAN2_TXC] -clock_fall -max -add_delay 3.500 [get_ports LAN2_TX_CTL]
set_output_delay -clock [get_clocks LAN2_TXC] -min -add_delay 0.500 [get_ports LAN2_TX_CTL]
set_output_delay -clock [get_clocks LAN2_TXC] -max -add_delay 3.500 [get_ports LAN2_TX_CTL]



#set_output_delay -clock [get_clocks LAN1_TXC] -add_delay -3.000 [get_ports {LAN1_TX_CTL LAN1_TXD[0] LAN1_TXD[1] LAN1_TXD[2] LAN1_TXD[3] LAN1_TXC}]
## place a constraint on the LAN2 tx signals timing
#set_output_delay -clock [get_clocks LAN2_TXC] -add_delay -3.000 [get_ports {LAN2_TX_CTL LAN2_TXD[0] LAN2_TXD[1] LAN2_TXD[2] LAN2_TXD[3] LAN2_TXC}]
#set_output_delay -clock [get_clocks LAN1_RXC] -clock_fall -min -add_delay 0.500 [get_ports {LAN1_TXD[*]}]
#set_output_delay -clock [get_clocks LAN1_RXC] -clock_fall -max -add_delay 1.500 [get_ports {LAN1_TXD[*]}]
#set_output_delay -clock [get_clocks LAN2_RXC] -clock_fall -min -add_delay 0.500 [get_ports {LAN2_TXD[*]}]
#set_output_delay -clock [get_clocks LAN2_RXC] -clock_fall -max -add_delay 1.500 [get_ports {LAN2_TXD[*]}]
#set_output_delay -clock [get_clocks LAN1_RXC] -clock_fall -min -add_delay 0.500 [get_ports LAN1_TX_CTL]
#set_output_delay -clock [get_clocks LAN1_RXC] -clock_fall -max -add_delay 1.500 [get_ports LAN1_TX_CTL]
#set_output_delay -clock [get_clocks LAN2_RXC] -clock_fall -min -add_delay 0.500 [get_ports LAN2_TX_CTL]
#set_output_delay -clock [get_clocks LAN2_RXC] -clock_fall -max -add_delay 1.500 [get_ports LAN2_TX_CTL]


# place a constraint on the DAC output samples
#set_output_delay -clock [get_clocks CLK_TXg] -min -add_delay -0.500 [get_ports {DAC1_DOUT[*]}]
#set_output_delay -clock [get_clocks CLK_TXg] -max -add_delay -3.000 [get_ports {DAC1_DOUT[*]}]
#set_output_delay -clock [get_clocks CLK_TXg] -min -add_delay -0.500 [get_ports {DAC2_DOUT[*]}]
#set_output_delay -clock [get_clocks CLK_TXg] -max -add_delay -3.000 [get_ports {DAC2_DOUT[*]}]







#set_output_delay -clock [get_clocks DAC_CLKOUT_N] -min -add_delay 0.000 [get_ports {DAC1_DOUT[*]}]
#set_output_delay -clock [get_clocks DAC_CLKOUT_N] -max -add_delay 5.000 [get_ports {DAC1_DOUT[*]}]
#set_output_delay -clock [get_clocks DAC_CLKOUT_N] -min -add_delay 0.000 [get_ports {DAC2_DOUT[*]}]
#set_output_delay -clock [get_clocks DAC_CLKOUT_N] -max -add_delay 5.000 [get_ports {DAC2_DOUT[*]}]

## 2 Timing Exceptions Section
# The following cross clock domain false path constraints can be uncommented in order to mimic ucf constraints behavior (see message at the beginning of this file)
set_false_path -from [get_clocks CLK_P] -to [get_clocks {CLK_TXg UC_WEB_IN UC_REB_IN LAN1_RXC LAN2_RXC CLKREF_TCXO CLK_ADCg}]
set_false_path -from [get_clocks {CLK_ADCg}] -to [get_clocks {CLK_P CLK_TXg UC_REB_IN UC_WEB_IN LAN1_RXC LAN2_RXC CLKREF_TCXO}]
set_false_path -from [get_clocks CLK_TXg] -to [get_clocks {CLK_P CLK_ADCg UC_REB_IN UC_WEB_IN LAN1_RXC LAN2_RXC CLKREF_TCXO}]
set_false_path -from [get_clocks UC_REB_IN] -to [get_clocks {CLK_P CLK_TXg UC_WEB_IN LAN1_RXC LAN2_RXC CLKREF_TCXO CLK_ADCg}]
set_false_path -from [get_clocks UC_WEB_IN] -to [get_clocks {CLK_P CLK_TXg UC_REB_IN LAN1_RXC LAN2_RXC CLKREF_TCXO CLK_ADCg}]
set_false_path -from [get_clocks LAN1_RXC] -to [get_clocks {CLK_P CLK_TXg UC_REB_IN UC_WEB_IN LAN2_RXC CLKREF_TCXO CLK_ADCg}]
set_false_path -from [get_clocks LAN2_RXC] -to [get_clocks {CLK_P CLK_TXg UC_REB_IN UC_WEB_IN LAN1_RXC CLKREF_TCXO CLK_ADCg}]
set_false_path -from [get_clocks CLKREF_TCXO] -to [get_clocks {CLK_P CLK_TXg UC_REB_IN UC_WEB_IN LAN1_RXC LAN2_RXC CLK_ADCg}]

## 3 Physical Constraints Section
# place FFs in IOBs for all key inputs/outputs

#----------------------------------------------------------------
# CLOCKs
#----------------------------------------------------------------
set_property PACKAGE_PIN J21 [get_ports CLKREF_TCXO]
set_property PACKAGE_PIN K18 [get_ports CLKREF_EXT]
set_property PACKAGE_PIN J20 [get_ports CLKREF_OUT]
set_property PACKAGE_PIN H22 [get_ports CLK_LNB]
set_property PACKAGE_PIN L21 [get_ports CLK_TX_OUT]

set_property IOSTANDARD LVCMOS25 [get_ports CLKREF_TCXO]
set_property IOSTANDARD LVCMOS25 [get_ports CLKREF_EXT]
set_property IOSTANDARD LVCMOS25 [get_ports CLKREF_OUT]
set_property IOSTANDARD LVCMOS25 [get_ports CLK_LNB]
set_property IOSTANDARD LVCMOS25 [get_ports CLK_TX_OUT]

#----------------------------------------------------------------
# ARM MICRO
#----------------------------------------------------------------
set_property PACKAGE_PIN P22 [get_ports {UC_AD[0]}]
set_property PACKAGE_PIN R22 [get_ports {UC_AD[1]}]
set_property PACKAGE_PIN P21 [get_ports {UC_AD[2]}]
set_property PACKAGE_PIN R21 [get_ports {UC_AD[3]}]
set_property PACKAGE_PIN T21 [get_ports {UC_AD[4]}]
set_property PACKAGE_PIN U21 [get_ports {UC_AD[5]}]
set_property PACKAGE_PIN P19 [get_ports {UC_AD[6]}]
set_property PACKAGE_PIN R19 [get_ports {UC_AD[7]}]
set_property PACKAGE_PIN V18 [get_ports UC_ALE_IN]
set_property PACKAGE_PIN V17 [get_ports UC_CSIB_IN]
set_property PACKAGE_PIN AA19 [get_ports UC_REB_IN]
set_property PACKAGE_PIN W17 [get_ports UC_WEB_IN]

set_property IOSTANDARD LVCMOS33 [get_ports {UC_AD[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {UC_AD[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {UC_AD[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {UC_AD[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {UC_AD[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {UC_AD[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {UC_AD[6]}]
set_property IOSTANDARD LVCMOS33 [get_ports {UC_AD[7]}]
set_property IOSTANDARD LVCMOS33 [get_ports UC_ALE_IN]
set_property IOSTANDARD LVCMOS33 [get_ports UC_CSIB_IN]
set_property IOSTANDARD LVCMOS33 [get_ports UC_REB_IN]
set_property IOSTANDARD LVCMOS33 [get_ports UC_WEB_IN]

set_property PULLDOWN true [get_ports UC_ALE_IN]
set_property PULLUP true [get_ports UC_CSIB_IN]
set_property PULLUP true [get_ports UC_REB_IN]
set_property PULLUP true [get_ports UC_WEB_IN]

#----------------------------------------------------------------
# AHA4524 (LEGACY)
#----------------------------------------------------------------
set_property PACKAGE_PIN D15 [get_ports T_RESET_N]
set_property IOSTANDARD LVCMOS25 [get_ports T_RESET_N]

#----------------------------------------------------------------
# ETHERNET LAN #1
#----------------------------------------------------------------
# COM-5102/5401 INTERFACE (STRAPPING OPTIONS, ETC)
# strap-in configuration. Micrel KSZ9031RN
# advertise all capabilities: 10/100/1000
set_property PULLUP true [get_ports {LAN1_RXD[0]}]
set_property PULLUP true [get_ports {LAN1_RXD[1]}]
set_property PULLUP true [get_ports {LAN1_RXD[2]}]
set_property PULLUP true [get_ports {LAN1_RXD[3]}]
# enable 125 MHz clock reference to FPGA (at least for one PHY, not needed for all PHYs)
set_property PULLUP true [get_ports LAN1_RX_CTL]
# dual LED mode
set_property PULLDOWN true [get_ports LAN1_CLK125_NDO]
# PHYAD2   This PHY address is 4
set_property PULLUP true [get_ports LAN1_RXC]

set_property PULLUP true [get_ports LAN1_MDIO]
set_property PULLUP true [get_ports LAN1_INT_N]
# place a constraint on the LAN1 rx signals timing. Assume 2ns delay implemented at PHY
#set_input_delay -clock [get_clocks LAN1_RXC] -add_delay 2.000 [get_ports {LAN1_RX_CTL LAN1_RXD[0] LAN1_RXD[1] LAN1_RXD[2] LAN1_RXD[3]}]

set_property PACKAGE_PIN C14 [get_ports {LAN1_RXD[3]}]
set_property PACKAGE_PIN D14 [get_ports {LAN1_RXD[2]}]
set_property PACKAGE_PIN E14 [get_ports {LAN1_RXD[1]}]
set_property PACKAGE_PIN F14 [get_ports {LAN1_RXD[0]}]
set_property PACKAGE_PIN B13 [get_ports {LAN1_TXD[0]}]
set_property PACKAGE_PIN C13 [get_ports {LAN1_TXD[1]}]
set_property PACKAGE_PIN E13 [get_ports {LAN1_TXD[2]}]
set_property PACKAGE_PIN F13 [get_ports {LAN1_TXD[3]}]
set_property PACKAGE_PIN D17 [get_ports LAN1_CLK125_NDO]
set_property PACKAGE_PIN A15 [get_ports LAN1_INT_N]
set_property PACKAGE_PIN C15 [get_ports LAN1_MCLK]
set_property PACKAGE_PIN B15 [get_ports LAN1_MDIO]
set_property PACKAGE_PIN F16 [get_ports LAN1_RESET_N]
set_property PACKAGE_PIN A14 [get_ports LAN1_RX_CTL]
set_property PACKAGE_PIN C17 [get_ports LAN1_RXC]
set_property PACKAGE_PIN F15 [get_ports LAN1_TX_CTL]
set_property PACKAGE_PIN A13 [get_ports LAN1_TXC]

set_property IOSTANDARD LVCMOS25 [get_ports {LAN1_RXD[3]}]
set_property IOSTANDARD LVCMOS25 [get_ports {LAN1_RXD[2]}]
set_property IOSTANDARD LVCMOS25 [get_ports {LAN1_RXD[1]}]
set_property IOSTANDARD LVCMOS25 [get_ports {LAN1_RXD[0]}]
set_property IOSTANDARD LVCMOS25 [get_ports {LAN1_TXD[0]}]
set_property IOSTANDARD LVCMOS25 [get_ports {LAN1_TXD[1]}]
set_property IOSTANDARD LVCMOS25 [get_ports {LAN1_TXD[2]}]
set_property IOSTANDARD LVCMOS25 [get_ports {LAN1_TXD[3]}]
set_property IOSTANDARD LVCMOS25 [get_ports LAN1_MCLK]
set_property IOSTANDARD LVCMOS25 [get_ports LAN1_MDIO]
set_property IOSTANDARD LVCMOS25 [get_ports LAN1_RESET_N]
set_property IOSTANDARD LVCMOS25 [get_ports LAN1_RX_CTL]
set_property IOSTANDARD LVCMOS25 [get_ports LAN1_RXC]
set_property IOSTANDARD LVCMOS25 [get_ports LAN1_TX_CTL]
set_property IOSTANDARD LVCMOS25 [get_ports LAN1_TXC]
set_property IOSTANDARD LVCMOS25 [get_ports LAN1_CLK125_NDO]
set_property IOSTANDARD LVCMOS25 [get_ports LAN1_INT_N]

#----------------------------------------------------------------
# ETHERNET LAN #2
#----------------------------------------------------------------
# COM-5102/5401 INTERFACE (STRAPPING OPTIONS, ETC)
# strap-in configuration. Micrel KSZ9031RN
# advertise all capabilities: 10/100/1000
set_property PULLUP true [get_ports {LAN2_RXD[0]}]
set_property PULLUP true [get_ports {LAN2_RXD[1]}]
set_property PULLUP true [get_ports {LAN2_RXD[2]}]
set_property PULLUP true [get_ports {LAN2_RXD[3]}]
# enable 125 MHz clock reference to FPGA (at least for one PHY, not needed for all PHYs)
set_property PULLUP true [get_ports LAN2_RX_CTL]
# dual LED mode
#set_property PULLDOWN true [get_ports LAN2_CLK125_NDO]
# PHYAD2   This PHY address is 4
set_property PULLUP true [get_ports LAN2_RXC]

set_property PULLUP true [get_ports LAN2_MDIO]
set_property PULLUP true [get_ports LAN2_INT_N]
# place a constraint on the LAN2 rx signals timing. Assume 2ns delay implemented at PHY
#set_input_delay -clock [get_clocks LAN2_RXC] -add_delay -2.000 [get_ports {LAN2_RX_CTL LAN2_RXD[0] LAN2_RXD[1] LAN2_RXD[2] LAN2_RXD[3]}]

set_property PACKAGE_PIN E18 [get_ports {LAN2_RXD[3]}]
set_property PACKAGE_PIN F19 [get_ports {LAN2_RXD[2]}]
set_property PACKAGE_PIN F20 [get_ports {LAN2_RXD[1]}]
set_property PACKAGE_PIN F21 [get_ports {LAN2_RXD[0]}]
set_property PACKAGE_PIN A16 [get_ports {LAN2_TXD[0]}]
set_property PACKAGE_PIN B16 [get_ports {LAN2_TXD[1]}]
set_property PACKAGE_PIN D16 [get_ports {LAN2_TXD[2]}]
set_property PACKAGE_PIN E16 [get_ports {LAN2_TXD[3]}]
set_property PACKAGE_PIN A20 [get_ports LAN2_INT_N]
set_property PACKAGE_PIN A18 [get_ports LAN2_MCLK]
set_property PACKAGE_PIN A19 [get_ports LAN2_MDIO]
set_property PACKAGE_PIN A21 [get_ports LAN2_RESET_N]
set_property PACKAGE_PIN G21 [get_ports LAN2_RX_CTL]
set_property PACKAGE_PIN C19 [get_ports LAN2_RXC]
set_property PACKAGE_PIN F18 [get_ports LAN2_TX_CTL]
set_property PACKAGE_PIN E17 [get_ports LAN2_TXC]

set_property IOSTANDARD LVCMOS25 [get_ports {LAN2_RXD[3]}]
set_property IOSTANDARD LVCMOS25 [get_ports {LAN2_RXD[2]}]
set_property IOSTANDARD LVCMOS25 [get_ports {LAN2_RXD[1]}]
set_property IOSTANDARD LVCMOS25 [get_ports {LAN2_RXD[0]}]
set_property IOSTANDARD LVCMOS25 [get_ports {LAN2_TXD[0]}]
set_property IOSTANDARD LVCMOS25 [get_ports {LAN2_TXD[1]}]
set_property IOSTANDARD LVCMOS25 [get_ports {LAN2_TXD[2]}]
set_property IOSTANDARD LVCMOS25 [get_ports {LAN2_TXD[3]}]
set_property IOSTANDARD LVCMOS25 [get_ports LAN2_MCLK]
set_property IOSTANDARD LVCMOS25 [get_ports LAN2_MDIO]
set_property IOSTANDARD LVCMOS25 [get_ports LAN2_RESET_N]
set_property IOSTANDARD LVCMOS25 [get_ports LAN2_RX_CTL]
set_property IOSTANDARD LVCMOS25 [get_ports LAN2_RXC]
set_property IOSTANDARD LVCMOS25 [get_ports LAN2_TX_CTL]
set_property IOSTANDARD LVCMOS25 [get_ports LAN2_TXC]
#set_property IOSTANDARD LVCMOS25 [get_ports LAN2_CLK125_NDO]
set_property IOSTANDARD LVCMOS25 [get_ports LAN2_INT_N]

#----------------------------------------------------------------
# TEST POINTS, LEDs
#----------------------------------------------------------------
set_property PACKAGE_PIN AB8 [get_ports {TP[1]}]
set_property PACKAGE_PIN AB7 [get_ports {TP[2]}]
set_property PACKAGE_PIN AA8 [get_ports {TP[3]}]
set_property PACKAGE_PIN AA6 [get_ports {TP[4]}]
set_property PACKAGE_PIN Y9 [get_ports {TP[5]}]
set_property PACKAGE_PIN Y8 [get_ports {TP[6]}]
set_property PACKAGE_PIN W9 [get_ports {TP[7]}]
set_property PACKAGE_PIN Y7 [get_ports {TP[8]}]
set_property PACKAGE_PIN V9 [get_ports {TP[9]}]
set_property PACKAGE_PIN V8 [get_ports {TP[10]}]
set_property PACKAGE_PIN U7 [get_ports {TP[11]}]
set_property PACKAGE_PIN U6 [get_ports {TP[12]}]

set_property PACKAGE_PIN C20 [get_ports {LED[2]}]
set_property PACKAGE_PIN C22 [get_ports {LED[3]}]
set_property PACKAGE_PIN B22 [get_ports {LED[4]}]
set_property PACKAGE_PIN B21 [get_ports {LED[5]}]
set_property PACKAGE_PIN G22 [get_ports {LED[6]}]

set_property IOSTANDARD SSTL18_I [get_ports {TP[1]}]
set_property IOSTANDARD SSTL18_I [get_ports {TP[2]}]
set_property IOSTANDARD SSTL18_I [get_ports {TP[3]}]
set_property IOSTANDARD SSTL18_I [get_ports {TP[4]}]
set_property IOSTANDARD SSTL18_I [get_ports {TP[5]}]
set_property IOSTANDARD SSTL18_I [get_ports {TP[6]}]
set_property IOSTANDARD SSTL18_I [get_ports {TP[7]}]
set_property IOSTANDARD SSTL18_I [get_ports {TP[8]}]
set_property IOSTANDARD SSTL18_I [get_ports {TP[9]}]
set_property IOSTANDARD SSTL18_I [get_ports {TP[10]}]
set_property IOSTANDARD SSTL18_I [get_ports {TP[11]}]
set_property IOSTANDARD SSTL18_I [get_ports {TP[12]}]

set_property IOSTANDARD LVCMOS25 [get_ports {LED[2]}]
set_property IOSTANDARD LVCMOS25 [get_ports {LED[3]}]
set_property IOSTANDARD LVCMOS25 [get_ports {LED[4]}]
set_property IOSTANDARD LVCMOS25 [get_ports {LED[5]}]
set_property IOSTANDARD LVCMOS25 [get_ports {LED[6]}]

#----------------------------------------------------------------
# RF SYNTHESIZERS
#----------------------------------------------------------------
set_property PACKAGE_PIN U16 [get_ports {TX_SYNTH_CTRL[0]}]
set_property PACKAGE_PIN U15 [get_ports {TX_SYNTH_CTRL[1]}]
set_property PACKAGE_PIN T16 [get_ports {TX_SYNTH_CTRL[2]}]
set_property PACKAGE_PIN T15 [get_ports {TX_SYNTH_CTRL[3]}]
set_property PACKAGE_PIN T14 [get_ports {TX_SYNTH_CTRL[4]}]
set_property PACKAGE_PIN W14 [get_ports {RX_SYNTH_CTRL[0]}]
set_property PACKAGE_PIN Y14 [get_ports {RX_SYNTH_CTRL[1]}]
set_property PACKAGE_PIN AA14 [get_ports {RX_SYNTH_CTRL[2]}]
set_property PACKAGE_PIN AB13 [get_ports {RX_SYNTH_CTRL[3]}]
set_property PACKAGE_PIN AA13 [get_ports {RX_SYNTH_CTRL[4]}]

set_property IOSTANDARD LVCMOS33 [get_ports {TX_SYNTH_CTRL[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {TX_SYNTH_CTRL[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {TX_SYNTH_CTRL[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {TX_SYNTH_CTRL[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {TX_SYNTH_CTRL[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {RX_SYNTH_CTRL[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {RX_SYNTH_CTRL[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {RX_SYNTH_CTRL[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {RX_SYNTH_CTRL[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {RX_SYNTH_CTRL[4]}]

#----------------------------------------------------------------
# AUXILIARY DACs
#----------------------------------------------------------------
set_property PACKAGE_PIN Y17 [get_ports {AUX_DAC1_S[1]}]
set_property PACKAGE_PIN W16 [get_ports {AUX_DAC1_S[2]}]
set_property PACKAGE_PIN W15 [get_ports {AUX_DAC1_S[3]}]
set_property PACKAGE_PIN AA15 [get_ports {AUX_DAC2_S[1]}]
set_property PACKAGE_PIN AA16 [get_ports {AUX_DAC2_S[2]}]
set_property PACKAGE_PIN Y16 [get_ports {AUX_DAC2_S[3]}]

set_property IOSTANDARD LVCMOS33 [get_ports {AUX_DAC1_S[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {AUX_DAC1_S[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {AUX_DAC1_S[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {AUX_DAC2_S[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {AUX_DAC2_S[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {AUX_DAC2_S[3]}]


#----------------------------------------------------------------
# DACs
#----------------------------------------------------------------
set_property PACKAGE_PIN T20 [get_ports {DAC1_DOUT[0]}]
set_property PACKAGE_PIN V22 [get_ports {DAC1_DOUT[1]}]
set_property PACKAGE_PIN W22 [get_ports {DAC1_DOUT[2]}]
set_property PACKAGE_PIN Y22 [get_ports {DAC1_DOUT[3]}]
set_property PACKAGE_PIN Y21 [get_ports {DAC1_DOUT[4]}]
set_property PACKAGE_PIN W21 [get_ports {DAC1_DOUT[5]}]
set_property PACKAGE_PIN AA21 [get_ports {DAC1_DOUT[6]}]
set_property PACKAGE_PIN AB22 [get_ports {DAC1_DOUT[7]}]
set_property PACKAGE_PIN AB21 [get_ports {DAC1_DOUT[8]}]
set_property PACKAGE_PIN AB20 [get_ports {DAC1_DOUT[9]}]
set_property PACKAGE_PIN AA20 [get_ports {DAC1_DOUT[10]}]
set_property PACKAGE_PIN AB18 [get_ports {DAC1_DOUT[11]}]
set_property PACKAGE_PIN AA18 [get_ports {DAC1_DOUT[12]}]
set_property PACKAGE_PIN Y18 [get_ports {DAC1_DOUT[13]}]
set_property PACKAGE_PIN T19 [get_ports {DAC2_DOUT[0]}]
set_property PACKAGE_PIN T18 [get_ports {DAC2_DOUT[1]}]
set_property PACKAGE_PIN R18 [get_ports {DAC2_DOUT[2]}]
set_property PACKAGE_PIN R17 [get_ports {DAC2_DOUT[3]}]
set_property PACKAGE_PIN P17 [get_ports {DAC2_DOUT[4]}]
set_property PACKAGE_PIN N17 [get_ports {DAC2_DOUT[5]}]
set_property PACKAGE_PIN R16 [get_ports {DAC2_DOUT[6]}]
set_property PACKAGE_PIN P16 [get_ports {DAC2_DOUT[7]}]
set_property PACKAGE_PIN P15 [get_ports {DAC2_DOUT[8]}]
set_property PACKAGE_PIN N15 [get_ports {DAC2_DOUT[9]}]
set_property PACKAGE_PIN R14 [get_ports {DAC2_DOUT[10]}]
set_property PACKAGE_PIN P14 [get_ports {DAC2_DOUT[11]}]
set_property PACKAGE_PIN N14 [get_ports {DAC2_DOUT[12]}]
set_property PACKAGE_PIN N13 [get_ports {DAC2_DOUT[13]}]
set_property PACKAGE_PIN U17 [get_ports DAC_CLKOUT_P]
set_property PACKAGE_PIN U18 [get_ports DAC_CLKOUT_N]
set_property PACKAGE_PIN V20 [get_ports {DAC_SPI[3]}]
set_property PACKAGE_PIN P20 [get_ports {DAC_SPI[2]}]
set_property PACKAGE_PIN U20 [get_ports {DAC_SPI[1]}]
set_property PACKAGE_PIN V19 [get_ports DAC1_SPI_CSB]
set_property PACKAGE_PIN W20 [get_ports DAC2_SPI_CSB]
set_property PACKAGE_PIN AB17 [get_ports RF_OUT_ENB]

set_property IOSTANDARD LVCMOS33 [get_ports {DAC1_DOUT[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {DAC1_DOUT[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {DAC1_DOUT[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {DAC1_DOUT[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {DAC1_DOUT[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {DAC1_DOUT[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {DAC1_DOUT[6]}]
set_property IOSTANDARD LVCMOS33 [get_ports {DAC1_DOUT[7]}]
set_property IOSTANDARD LVCMOS33 [get_ports {DAC1_DOUT[8]}]
set_property IOSTANDARD LVCMOS33 [get_ports {DAC1_DOUT[9]}]
set_property IOSTANDARD LVCMOS33 [get_ports {DAC1_DOUT[10]}]
set_property IOSTANDARD LVCMOS33 [get_ports {DAC1_DOUT[11]}]
set_property IOSTANDARD LVCMOS33 [get_ports {DAC1_DOUT[12]}]
set_property IOSTANDARD LVCMOS33 [get_ports {DAC1_DOUT[13]}]
set_property IOSTANDARD LVCMOS33 [get_ports {DAC2_DOUT[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {DAC2_DOUT[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {DAC2_DOUT[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {DAC2_DOUT[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {DAC2_DOUT[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {DAC2_DOUT[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {DAC2_DOUT[6]}]
set_property IOSTANDARD LVCMOS33 [get_ports {DAC2_DOUT[7]}]
set_property IOSTANDARD LVCMOS33 [get_ports {DAC2_DOUT[8]}]
set_property IOSTANDARD LVCMOS33 [get_ports {DAC2_DOUT[9]}]
set_property IOSTANDARD LVCMOS33 [get_ports {DAC2_DOUT[10]}]
set_property IOSTANDARD LVCMOS33 [get_ports {DAC2_DOUT[11]}]
set_property IOSTANDARD LVCMOS33 [get_ports {DAC2_DOUT[12]}]
set_property IOSTANDARD LVCMOS33 [get_ports {DAC2_DOUT[13]}]
set_property IOSTANDARD LVCMOS33 [get_ports DAC_CLKOUT_N]
set_property IOSTANDARD LVCMOS33 [get_ports DAC_CLKOUT_P]
set_property IOSTANDARD LVCMOS33 [get_ports {DAC_SPI[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {DAC_SPI[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {DAC_SPI[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports DAC1_SPI_CSB]
set_property IOSTANDARD LVCMOS33 [get_ports DAC2_SPI_CSB]
set_property IOSTANDARD LVCMOS33 [get_ports RF_OUT_ENB]

# group timing for all pins

#limit overshoot (otherwise 1V overshoot)
# tested on COM-1802
set_property DRIVE 4 [get_ports {DAC1_DOUT[0]}]
set_property DRIVE 4 [get_ports {DAC1_DOUT[1]}]
set_property DRIVE 4 [get_ports {DAC1_DOUT[2]}]
set_property DRIVE 4 [get_ports {DAC1_DOUT[3]}]
set_property DRIVE 4 [get_ports {DAC1_DOUT[4]}]
set_property DRIVE 4 [get_ports {DAC1_DOUT[5]}]
set_property DRIVE 4 [get_ports {DAC1_DOUT[6]}]
set_property DRIVE 4 [get_ports {DAC1_DOUT[7]}]
set_property DRIVE 4 [get_ports {DAC1_DOUT[8]}]
set_property DRIVE 4 [get_ports {DAC1_DOUT[9]}]
set_property DRIVE 4 [get_ports {DAC1_DOUT[10]}]
set_property DRIVE 4 [get_ports {DAC1_DOUT[11]}]
set_property DRIVE 4 [get_ports {DAC1_DOUT[12]}]
set_property DRIVE 4 [get_ports {DAC1_DOUT[13]}]
set_property DRIVE 4 [get_ports {DAC2_DOUT[0]}]
set_property DRIVE 4 [get_ports {DAC2_DOUT[1]}]
set_property DRIVE 4 [get_ports {DAC2_DOUT[2]}]
set_property DRIVE 4 [get_ports {DAC2_DOUT[3]}]
set_property DRIVE 4 [get_ports {DAC2_DOUT[4]}]
set_property DRIVE 4 [get_ports {DAC2_DOUT[5]}]
set_property DRIVE 4 [get_ports {DAC2_DOUT[6]}]
set_property DRIVE 4 [get_ports {DAC2_DOUT[7]}]
set_property DRIVE 4 [get_ports {DAC2_DOUT[8]}]
set_property DRIVE 4 [get_ports {DAC2_DOUT[9]}]
set_property DRIVE 4 [get_ports {DAC2_DOUT[10]}]
set_property DRIVE 4 [get_ports {DAC2_DOUT[11]}]
set_property DRIVE 4 [get_ports {DAC2_DOUT[12]}]
set_property DRIVE 4 [get_ports {DAC2_DOUT[13]}]
set_property DRIVE 12 [get_ports DAC_CLKOUT_N]
set_property DRIVE 12 [get_ports DAC_CLKOUT_P]
set_property SLEW FAST [get_ports DAC_CLKOUT_N]
set_property SLEW FAST [get_ports DAC_CLKOUT_P]

#----------------------------------------------------------------
# ADC
#----------------------------------------------------------------
set_property PACKAGE_PIN H20 [get_ports {ADC_CLK_OUT_LVDS[1]}]
#set_property PACKAGE_PIN J19 [get_ports {ADC_DCO_IN_LVDS[1]}]
set_property PACKAGE_PIN G17 [get_ports {ADC_D_IN_LVDS[1]}]
set_property PACKAGE_PIN J15 [get_ports {ADC_D_IN_LVDS[3]}]
set_property PACKAGE_PIN H17 [get_ports {ADC_D_IN_LVDS[5]}]
set_property PACKAGE_PIN G15 [get_ports {ADC_D_IN_LVDS[7]}]
set_property PACKAGE_PIN L14 [get_ports {ADC_D_IN_LVDS[9]}]
set_property PACKAGE_PIN M13 [get_ports {ADC_D_IN_LVDS[11]}]
set_property PACKAGE_PIN K13 [get_ports {ADC_D_IN_LVDS[13]}]
set_property PACKAGE_PIN G13 [get_ports {ADC_SPI[1]}]
set_property PACKAGE_PIN H13 [get_ports {ADC_SPI[2]}]
set_property PACKAGE_PIN H14 [get_ports {ADC_SPI[3]}]

set_property IOSTANDARD LVDS_25 [get_ports {ADC_CLK_OUT_LVDS[0]}]
set_property IOSTANDARD LVDS_25 [get_ports {ADC_CLK_OUT_LVDS[1]}]
#set_property IOSTANDARD LVDS_25 [get_ports {ADC_DCO_IN_LVDS[0]}]
#set_property IOSTANDARD LVDS_25 [get_ports {ADC_DCO_IN_LVDS[1]}]
set_property IOSTANDARD LVDS_25 [get_ports {ADC_D_IN_LVDS[0]}]
set_property IOSTANDARD LVDS_25 [get_ports {ADC_D_IN_LVDS[1]}]
set_property IOSTANDARD LVDS_25 [get_ports {ADC_D_IN_LVDS[2]}]
set_property IOSTANDARD LVDS_25 [get_ports {ADC_D_IN_LVDS[3]}]
set_property IOSTANDARD LVDS_25 [get_ports {ADC_D_IN_LVDS[4]}]
set_property IOSTANDARD LVDS_25 [get_ports {ADC_D_IN_LVDS[5]}]
set_property IOSTANDARD LVDS_25 [get_ports {ADC_D_IN_LVDS[6]}]
set_property IOSTANDARD LVDS_25 [get_ports {ADC_D_IN_LVDS[7]}]
set_property IOSTANDARD LVDS_25 [get_ports {ADC_D_IN_LVDS[8]}]
set_property IOSTANDARD LVDS_25 [get_ports {ADC_D_IN_LVDS[9]}]
set_property IOSTANDARD LVDS_25 [get_ports {ADC_D_IN_LVDS[10]}]
set_property IOSTANDARD LVDS_25 [get_ports {ADC_D_IN_LVDS[11]}]
set_property IOSTANDARD LVDS_25 [get_ports {ADC_D_IN_LVDS[12]}]
set_property IOSTANDARD LVDS_25 [get_ports {ADC_D_IN_LVDS[13]}]
set_property IOSTANDARD LVCMOS25 [get_ports {ADC_SPI[1]}]
set_property IOSTANDARD LVCMOS25 [get_ports {ADC_SPI[2]}]
set_property IOSTANDARD LVCMOS25 [get_ports {ADC_SPI[3]}]


#NET "SYNC_PULSE_P" IOSTANDARD = LVCMOS33;
#NET "SYNC_PULSE_N" IOSTANDARD = LVCMOS33;
#NET "SYNC_PULSE_P" LOC = AA21;
#NET "SYNC_PULSE_N" LOC = AB21;
#
#
#NET "SDRAM_DQS_N[0]" LOC = L1;
#NET "SDRAM_DQS_P[0]" LOC = L3;
#NET "Inst_ddr2_sdram_controller_test/Inst_DDR2_SDRAM_CONTROLLER/SDRAM_DQS_N[1]" LOC = T1;
#NET "Inst_ddr2_sdram_controller_test/Inst_DDR2_SDRAM_CONTROLLER/SDRAM_DQS_P[1]" LOC = T2;
#NET "SDRAM_A[0]" IOSTANDARD = SSTL18_I;
#NET "SDRAM_A[1]" IOSTANDARD = SSTL18_I;
#NET "SDRAM_A[2]" IOSTANDARD = SSTL18_I;
#NET "SDRAM_A[3]" IOSTANDARD = SSTL18_I;
#NET "SDRAM_A[4]" IOSTANDARD = SSTL18_I;
#NET "SDRAM_A[5]" IOSTANDARD = SSTL18_I;
#NET "SDRAM_A[6]" IOSTANDARD = SSTL18_I;
#NET "SDRAM_A[7]" IOSTANDARD = SSTL18_I;
#NET "SDRAM_A[8]" IOSTANDARD = SSTL18_I;
#NET "SDRAM_A[9]" IOSTANDARD = SSTL18_I;
#NET "SDRAM_A[10]" IOSTANDARD = SSTL18_I;
#NET "SDRAM_A[11]" IOSTANDARD = SSTL18_I;
#NET "SDRAM_A[12]" IOSTANDARD = SSTL18_I;
#NET "SDRAM_A[0]" LOC = H2;
#NET "SDRAM_A[1]" LOC = H1;
#NET "SDRAM_A[2]" LOC = H5;
#NET "SDRAM_A[3]" LOC = K6;
#NET "SDRAM_A[4]" LOC = F3;
#NET "SDRAM_A[5]" LOC = K3;
#NET "SDRAM_A[6]" LOC = J4;
#NET "SDRAM_A[7]" LOC = H6;
#NET "SDRAM_A[8]" LOC = E3;
#NET "SDRAM_A[9]" LOC = E1;
#NET "SDRAM_A[10]" LOC = G4;
#NET "SDRAM_A[11]" LOC = C1;
#NET "SDRAM_A[12]" LOC = D1;
#NET "SDRAM_BA[0]" LOC = G3;
#NET "SDRAM_BA[1]" LOC = G1;
#NET "SDRAM_BA[2]" LOC = F1;
#NET "SDRAM_CASN" LOC = K4;
#NET "SDRAM_CKE" LOC = D2;
#NET "Inst_ddr2_sdram_controller_test/Inst_DDR2_SDRAM_CONTROLLER/SDRAM_CK_P[0]" LOC = H4;
#NET "Inst_ddr2_sdram_controller_test/Inst_DDR2_SDRAM_CONTROLLER/SDRAM_CK_N[0]" LOC = H3;
#NET "SDRAM_DM[0]" LOC = L4;
#NET "SDRAM_DM[1]" LOC = M3;
#NET "Inst_ddr2_sdram_controller_test/Inst_DDR2_SDRAM_CONTROLLER/SDRAM_DQ[0]" LOC = N3;
#NET "Inst_ddr2_sdram_controller_test/Inst_DDR2_SDRAM_CONTROLLER/SDRAM_DQ[1]" LOC = N1;
#NET "Inst_ddr2_sdram_controller_test/Inst_DDR2_SDRAM_CONTROLLER/SDRAM_DQ[2]" LOC = M2;
#NET "Inst_ddr2_sdram_controller_test/Inst_DDR2_SDRAM_CONTROLLER/SDRAM_DQ[3]" LOC = M1;
#NET "Inst_ddr2_sdram_controller_test/Inst_DDR2_SDRAM_CONTROLLER/SDRAM_DQ[4]" LOC = J3;
#NET "Inst_ddr2_sdram_controller_test/Inst_DDR2_SDRAM_CONTROLLER/SDRAM_DQ[5]" LOC = J1;
#NET "Inst_ddr2_sdram_controller_test/Inst_DDR2_SDRAM_CONTROLLER/SDRAM_DQ[6]" LOC = K2;
#NET "Inst_ddr2_sdram_controller_test/Inst_DDR2_SDRAM_CONTROLLER/SDRAM_DQ[7]" LOC = K1;
#NET "Inst_ddr2_sdram_controller_test/Inst_DDR2_SDRAM_CONTROLLER/SDRAM_DQ[8]" LOC = P2;
#NET "Inst_ddr2_sdram_controller_test/Inst_DDR2_SDRAM_CONTROLLER/SDRAM_DQ[9]" LOC = P1;
#NET "Inst_ddr2_sdram_controller_test/Inst_DDR2_SDRAM_CONTROLLER/SDRAM_DQ[10]" LOC = R3;
#NET "Inst_ddr2_sdram_controller_test/Inst_DDR2_SDRAM_CONTROLLER/SDRAM_DQ[11]" LOC = R1;
#NET "Inst_ddr2_sdram_controller_test/Inst_DDR2_SDRAM_CONTROLLER/SDRAM_DQ[12]" LOC = U3;
#NET "Inst_ddr2_sdram_controller_test/Inst_DDR2_SDRAM_CONTROLLER/SDRAM_DQ[13]" LOC = U1;
#NET "Inst_ddr2_sdram_controller_test/Inst_DDR2_SDRAM_CONTROLLER/SDRAM_DQ[14]" LOC = V2;
#NET "Inst_ddr2_sdram_controller_test/Inst_DDR2_SDRAM_CONTROLLER/SDRAM_DQ[15]" LOC = V1;
#NET "SDRAM_ODT" LOC = J6;
#NET "SDRAM_RASN" LOC = K5;
#NET "SDRAM_WEN" LOC = F2;
#
#
#NET "SDRAM_BA[0]" IOSTANDARD = SSTL18_I;
#NET "SDRAM_BA[1]" IOSTANDARD = SSTL18_I;
#NET "SDRAM_BA[2]" IOSTANDARD = SSTL18_I;
#NET "SDRAM_CASN" IOSTANDARD = SSTL18_I;
#NET "SDRAM_CKE" IOSTANDARD = SSTL18_I;
#NET "SDRAM_CK_N" IOSTANDARD = DIFF_SSTL18_II;
#NET "SDRAM_CK_P" IOSTANDARD = DIFF_SSTL18_II;
#NET "SDRAM_DM[0]" IOSTANDARD = SSTL18_I;
#NET "SDRAM_DM[1]" IOSTANDARD = SSTL18_I;
#NET "SDRAM_DQ[0]" IOSTANDARD = SSTL18_II;
#NET "SDRAM_DQ[1]" IOSTANDARD = SSTL18_II;
#NET "SDRAM_DQ[2]" IOSTANDARD = SSTL18_II;
#NET "SDRAM_DQ[3]" IOSTANDARD = SSTL18_II;
#NET "SDRAM_DQ[4]" IOSTANDARD = SSTL18_II;
#NET "SDRAM_DQ[5]" IOSTANDARD = SSTL18_II;
#NET "SDRAM_DQ[6]" IOSTANDARD = SSTL18_II;
#NET "SDRAM_DQ[7]" IOSTANDARD = SSTL18_II;
#NET "SDRAM_DQ[8]" IOSTANDARD = SSTL18_II;
#NET "SDRAM_DQ[9]" IOSTANDARD = SSTL18_II;
#NET "SDRAM_DQ[10]" IOSTANDARD = SSTL18_II;
#NET "SDRAM_DQ[11]" IOSTANDARD = SSTL18_II;
#NET "SDRAM_DQ[12]" IOSTANDARD = SSTL18_II;
#NET "SDRAM_DQ[13]" IOSTANDARD = SSTL18_II;
#NET "SDRAM_DQ[14]" IOSTANDARD = SSTL18_II;
#NET "SDRAM_DQ[15]" IOSTANDARD = SSTL18_II;
#NET "SDRAM_ODT" IOSTANDARD = SSTL18_I;
#NET "SDRAM_RASN" IOSTANDARD = SSTL18_I;
#NET "SDRAM_WEN" IOSTANDARD = SSTL18_I;
#NET "RFSYNTH_LOCK_DETECT" LOC = V11;
#NET "RFSYNTH_LOCK_DETECT" IOSTANDARD = LVCMOS33;



set_input_delay -clock [get_clocks UC_WEB_IN] -min -add_delay 0.000 [get_ports {UC_AD[*]}]
set_input_delay -clock [get_clocks UC_WEB_IN] -max -add_delay 5.000 [get_ports {UC_AD[*]}]
set_input_delay -clock [get_clocks UC_WEB_IN] -min -add_delay 0.000 [get_ports UC_ALE_IN]
set_input_delay -clock [get_clocks UC_WEB_IN] -max -add_delay 5.000 [get_ports UC_ALE_IN]
set_input_delay -clock [get_clocks UC_REB_IN] -min -add_delay 0.000 [get_ports UC_CSIB_IN]
set_input_delay -clock [get_clocks UC_REB_IN] -max -add_delay 5.000 [get_ports UC_CSIB_IN]
set_input_delay -clock [get_clocks UC_WEB_IN] -min -add_delay 0.000 [get_ports UC_CSIB_IN]
set_input_delay -clock [get_clocks UC_WEB_IN] -max -add_delay 5.000 [get_ports UC_CSIB_IN]





set_property LOC DNA_PORT_X0Y0 [get_cells DNA_ID_001/DNA_PORT_inst]
